package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
*用户token表
* @author quyixiao
* @since 2025-03-01
*/

@Data
@TableName("calca_token")
public class CalcaTokenEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.CalcaTokenEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                     // id
    public final static String is_delete = CLASS_NAME + "is_delete";                        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                    // 修改时间
    public final static String token_ = CLASS_NAME + "token";                               // token值
    public final static String available_ = CLASS_NAME + "available";                       // 是否可用， 1 可用，0 不可用
    public final static String user_name = CLASS_NAME + "user_name";                        // 关联用户名
    public final static String remark_ = CLASS_NAME + "remark";                             // 备注
    public final static String minutes_visit_limit = CLASS_NAME + "minutes_visit_limit";    // 每分钟访问限制次数，0 不限制
    //id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //token值
    private String token;
    //是否可用， 1 可用，0 不可用
    private Integer available;
    //关联用户名
    private String userName;
    //备注
    private String remark;
    //每分钟访问限制次数，0 不限制
    private Integer minutesVisitLimit;
    /**
     * id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * token值 
     * @return
     */
    public String getToken() {
        return token;
    }
    /**
     * token值 
     * @param token
     */
    public void setToken(String token) {
        this.token = token;
    }

    /**
     * 是否可用， 1 可用，0 不可用 
     * @return
     */
    public Integer getAvailable() {
        return available;
    }
    /**
     * 是否可用， 1 可用，0 不可用 
     * @param available
     */
    public void setAvailable(Integer available) {
        this.available = available;
    }

    /**
     * 关联用户名 
     * @return
     */
    public String getUserName() {
        return userName;
    }
    /**
     * 关联用户名 
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 每分钟访问限制次数，0 不限制 
     * @return
     */
    public Integer getMinutesVisitLimit() {
        return minutesVisitLimit;
    }
    /**
     * 每分钟访问限制次数，0 不限制 
     * @param minutesVisitLimit
     */
    public void setMinutesVisitLimit(Integer minutesVisitLimit) {
        this.minutesVisitLimit = minutesVisitLimit;
    }

    @Override
    public String toString() {
        return "CalcaTokenEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",token=" + token +
                ",available=" + available +
                ",userName=" + userName +
                ",remark=" + remark +
                ",minutesVisitLimit=" + minutesVisitLimit +
                "}";
    }
}